Skip to navigation

Update a backup schedule

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

clusterIdstringRequired
Database cluster ID

Request

This endpoint expects an object.
scheduleNamestringRequired
Name of the schedule group being modified.
backupPolicyNamestringRequired
Backup policy these schedules will be applied to.
scheduleslist of objectsRequired
Schedule entries that make up the policy.
pitrEnabledbooleanRequiredDefaults to false

Whether point-in-time recovery is enabled for the cluster.

Response

Backup schedule update accepted

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error